Repost Automation
Get workspace repost rules and available accounts
GET
/repost-automationAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
workspace_id*string
Workspace ID
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/repost-automation?workspace_id=string"{ "$schema": "https://example.com/api/v1/schemas/SettingsResponse.json", "accounts": [ { "avatar_url": "string", "cross_workspace": true, "grant_active": true, "grant_required": true, "id": "string", "instance_url": "string", "platform": "string", "supports_repost": true, "unavailable_reason": "string", "username": "string", "workspace_id": "string", "workspace_name": "string" } ], "can_manage": true, "grants": [ { "created_at": "string", "direction": "outbound", "id": "string", "platform": "string", "source_workspace_id": "string", "source_workspace_name": "string", "target_account_id": "string", "target_username": "string", "target_workspace_id": "string", "target_workspace_name": "string" } ], "policies": [ { "created_at": "string", "enabled": true, "id": "string", "name": "string", "rule": { "delay_seconds": 0, "evaluation_window_seconds": 900, "min_comments": 0, "min_likes": 0, "min_reposts": 0, "min_views": 0, "plateau_checks": 2, "require_plateau": true, "stages": [ { "delay_seconds": 0, "unrepost_previous": true } ], "threshold_mode": "all" }, "source_account_ids": [ "string" ], "target_account_ids": [ "string" ], "updated_at": "string" } ], "supported_platforms": [ "string" ], "workspace_id": "string"}